> ## Documentation Index
> Fetch the complete documentation index at: https://docs.zeal.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Company

> Create a new employer company under your Zeal partner account. Returns a companyID used in all subsequent company and payroll API calls.

This endpoint registers a new employer company under your Zeal partner account and returns a `companyID` you will use in every subsequent API call for that company. See [The Company Object](/reference/companies/the-company-object) for the full field reference.


## OpenAPI

````yaml openapi/companies.json post /companies
openapi: 3.1.0
info:
  title: zeal-api
  version: '1.0'
servers:
  - url: https://api.zeal.com
security:
  - sec0: []
paths:
  /companies:
    post:
      summary: Create Company
      description: Creates a company within Zeal.
      operationId: create-company
      requestBody:
        content:
          application/json:
            schema:
              type: object
              required:
                - partnerID
                - first_name
                - last_name
                - email
                - business_name
                - business_ein
                - business_address
                - business_city
                - business_state
                - business_zip
                - business_phone
                - mail_address
                - mail_city
                - mail_state
                - mail_zip
                - ssn
                - ownership_percentage
                - legal_structure
                - dob
                - address
                - city
                - state
                - zip
              properties:
                partnerID:
                  type: string
                  description: Your Partner ID (found in the API page of your Admin portal)
                first_name:
                  type: string
                  description: First name of business owner or administrator.
                last_name:
                  type: string
                  description: Last name of business owner or administrator.
                email:
                  type: string
                  description: Email address of business.
                business_name:
                  type: string
                  description: Legal name of business.
                business_ein:
                  type: string
                  description: Federal EIN of business.
                business_address:
                  type: string
                  description: Street address component of business address
                business_city:
                  type: string
                  description: City component of business address
                business_state:
                  type: string
                  description: State component of business address
                business_zip:
                  type: string
                  description: Zip code component of business address
                business_phone:
                  type: string
                  description: Phone number of business
                mail_address:
                  type: string
                  description: Mailing address of company
                mail_city:
                  type: string
                  description: Mailing city of company
                mail_state:
                  type: string
                  description: Mailing state of company
                mail_zip:
                  type: string
                  description: Mailing ZIP code of company
                skip_migration:
                  type: boolean
                  description: >-
                    If true, Zeal will skip migrating payroll information from
                    the company's old payroll provider. **Note: please confirm
                    with the company that migration is not necessary. Failure to
                    migrate old records may impact tax reporting and filing.**
                  default: false
                ssn:
                  type: string
                  description: SSN of the primary business owner.
                ownership_percentage:
                  type: integer
                  description: The ownership percentage held by the primary business owner.
                  format: int32
                legal_structure:
                  type: string
                  description: The legal structure of the business.
                  enum:
                    - ccorp
                    - corp
                    - estate
                    - foreign_entity
                    - llc
                    - llp
                    - lp
                    - nonprofit
                    - partnership
                    - scheme
                    - scorp
                    - soleprop
                    - trust
                job_title:
                  type: string
                  description: The job title of the primary business owner.
                company_type:
                  type: string
                  description: >-
                    Mark your company as "all" (employees and contractors) or
                    "contractor_only" to limit company's scope to 1099
                    contractors.
                  enum:
                    - all
                    - contractor_only
                dob:
                  type: string
                  description: >-
                    Date of birth of the primary business owner. This should be
                    in the`MM/DD/YYYY` format
                address:
                  type: string
                  description: Address of the primary business owner.
                address_line2:
                  type: string
                  description: Address line 2 of the primary business owner.
                city:
                  type: string
                  description: City of the primary business owner.
                state:
                  type: string
                  description: State of the primary business owner.
                zip:
                  type: string
                  description: Zip code of the primary business owner.
                payroll_schedule:
                  type: string
                  description: The default payroll schedule that the company follows
                  enum:
                    - daily
                    - weekly
                    - biweekly
                    - semimonthly
                    - monthly
                payroll_firstDate:
                  type: string
                  description: The ISO-8601 date of the first regular payroll
                payroll_firstPayPeriodID:
                  type: string
                  description: Reporting period ID of the first regular payroll
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Result:
                  value:
                    success: true
                    data:
                      companyID: 1ea89873acdae98734
                      status: initial_onboarding
                      first_name: richard
                      last_name: hendricks
                      email: richard@piedpiper.com
                      business_name: Pied Piper
                      business_ein: '073647583'
                      business_address: 1 Market St.
                      business_city: San Francisco
                      business_state: CA
                      business_zip: '94110'
                      skip_migration: false
                      business_phone: '2025550151'
                      mail_address: 1 Market St.
                      mail_city: San Francisco
                      mail_state: CA
                      mail_zip: '94110'
                      requirements: []
                      account_number: null
                      routing_number: null
                      is_sandbox: true
                      ssn: 22-333-4444
                      ownership_percentage: 25
                      dob: 01/01/1990
                      legal_structure: ccorp
                      job_title: CEO
                      address: 1 Ferry Building
                      city: San francisco
                      state: CA
                      zip: '94105'
                      company_type: all
                      onboarding_url: >-
                        /employeronboard/1ea89873acdae98734?companyID=1ea89873acdae98734&classification=TEST
                      payroll_firstCheckDate: '2024-08-30'
                      payroll_schedule: weekly
                      payroll_firstPayPeriodID: 6580ce4a3808d60023b4e412
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: true
                    default: true
                  data:
                    type: object
                    properties:
                      companyID:
                        type: string
                        example: 1ea89873acdae98734
                      status:
                        type: string
                        example: initial_onboarding
                      first_name:
                        type: string
                        example: richard
                      last_name:
                        type: string
                        example: hendricks
                      email:
                        type: string
                        example: richard@piedpiper.com
                      business_name:
                        type: string
                        example: Pied Piper
                      business_ein:
                        type: string
                        example: '073647583'
                      business_address:
                        type: string
                        example: 1 Market St.
                      business_city:
                        type: string
                        example: San Francisco
                      business_state:
                        type: string
                        example: CA
                      business_zip:
                        type: string
                        example: '94110'
                      skip_migration:
                        type: boolean
                        example: false
                        default: true
                      business_phone:
                        type: string
                        example: '2025550151'
                      mail_address:
                        type: string
                        example: 1 Market St.
                      mail_city:
                        type: string
                        example: San Francisco
                      mail_state:
                        type: string
                        example: CA
                      mail_zip:
                        type: string
                        example: '94110'
                      requirements:
                        type: array
                      account_number: {}
                      routing_number: {}
                      is_sandbox:
                        type: boolean
                        example: true
                        default: true
                      ssn:
                        type: string
                        example: 22-333-4444
                      ownership_percentage:
                        type: integer
                        example: 25
                        default: 0
                      dob:
                        type: string
                        example: 01/01/1990
                      legal_structure:
                        type: string
                        example: ccorp
                      job_title:
                        type: string
                        example: CEO
                      address:
                        type: string
                        example: 1 Ferry Building
                      city:
                        type: string
                        example: San francisco
                      state:
                        type: string
                        example: CA
                      zip:
                        type: string
                        example: '94105'
                      company_type:
                        type: string
                        example: all
                      onboarding_url:
                        type: string
                        example: >-
                          /employeronboard/1ea89873acdae98734?companyID=1ea89873acdae98734&classification=TEST
                      payroll_firstCheckDate:
                        type: string
                        example: '2024-08-30'
                      payroll_schedule:
                        type: string
                        example: weekly
                      payroll_firstPayPeriodID:
                        type: string
                        example: 6580ce4a3808d60023b4e412
        '400':
          description: '400'
          content:
            application/json:
              examples:
                Result:
                  value:
                    success: false
                    errors:
                      - message: >-
                          The address provided is not a valid, mail-deliverable
                          address
                        code: 48
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: false
                    default: true
                  errors:
                    type: array
                    items:
                      type: object
                      properties:
                        message:
                          type: string
                          example: >-
                            The address provided is not a valid,
                            mail-deliverable address
                        code:
                          type: integer
                          example: 48
                          default: 0
      deprecated: false
components:
  securitySchemes:
    sec0:
      type: apiKey
      in: header
      name: Authorization
      x-bearer-format: bearer

````